Changes from version 2.99:

Support for 1.0.3.0 
Synchronize time to system time, this will sync the ingame time to the computer local time, you can enable it either via the time menu or by using RAlt+Num 0

Real time duration, this option doesn't sync the in game time to local computer time, but it will make one minute in game the same as one real minute. This option is available on the time menu.

Default Radio station, you can now enable this feature and set the station (using the car menu, 2nd page, last option) when enabled this will make sure that the radio is changed in each vehicle that you enter to the station that you have selected. 
By default this option is disabled, apart from enabling/change it in-game, you can also use trainer.ini to set the values:

DefaultRadioEnable=0	//Enable Default Radio
DefaultStation=18	//Default Radio Station

To enable set the value of the first setting to 1, to change the station, change the second setting, the list of radio stations is further down the file, this is independant from the change radio station key. 

Teleport to Waypoint, either using the first page of the teleporting menu, or using O+num0, you can finally teleport to waypoint. 

Changes from Version 3.0

Changed the CTRL+F8 key to CTRL+Q due to reported problems with F8 being stuck (seems to be a patch 3 problem)
if you have version 3.0 you can also fix this by changing trainer.ini, change ChangeModel2Key2=119 to ChangeModel2Key2=81

Added seatbelts, enable using car options menu or pressing M+num0, this way you don't have to enable car god mode, but still you won't fly through the windscreen.


Changes from Version 3.1:

Options Menu 1:

Set/Freeze Wanted Level, use to set and then freeze the wanted level, press num 5 again to disable

Enter/Disable Phone Sleep Mode, use to enable phone sleep mode, if enabled the phone cannot be brought up with the up arrow, just use the function again to be able to use the phone, you can also use the key NUM -.

Enable/Disable Pickups/Pigeons on Map, if enabled the locations of the pigeons, weapons, and health pickups will be shown on the map and radar. 

Car Options Menu 2:

Set Car Livery, use this to display different grafitty or decals on certain cars, I have tried the Pony. I'm not sure what the range of values are, so have limit it from 0 to 10 for now.

Bodyguard/Ped Spawn Menu:

Ability to enable/disable the drive by weapon that is given to bodyguards. Also configurable in the bodyguards section of trainer.ini

Ability to set health to bodyguards and peds that are spawned, this can also be set in trainer.ini, default is 200 (full health), I have allowed values from 0 to 10.000. 

Spawn Random Bodyguard, spawns a random bodyguard, regardless of the model you have selected. (this applies to all random spawns). You can also use L+ num 3

Spawn attacking ped, this one will attack the player. Be aware that if you set health to high, it will take a long time before you'll get rid of it (unless you use all bodyguards/peds leave option. You can also use L + num 1

Set Driving style, you can set the driving style of the random driver here, values are from 0 to 10. Also configurable in the bodyguards section of trainer.ini

Spawn random driver, spawn a random driver, that will drive you around the city, at the style selected with the previous option. If you are in a car and choose this option, you will be warped to the next available seat, so that the driver can take the wheel. If you are not in a car, the trainer will find one for you, warp you in and the driver will then jack the car and drive off. You can also use NUM +.

Spawn two random combat peds, use this to spawn two peds, that will attack each other (and possibly other people who interfere, set the health on the high side for maximum effect.

Spawn random ped, this will spawn a random ped that just walks, be aware that health and weapons are applied to this ped as well. You can also use L+ num 4

Spawn Ped, the same as above, but now here you can set which model you want spawned.

Time Menu:

Freeze Time

Weather Menu:

Freeze Weather.

Two changed keycombinations, Num + is now spawn random driver, the old function binded to that key (Unlock map) is now changed to L+ num 2, Num - is now for the sleep mode, the old function (Open various doors) is now binded to L + num 0.

Also you can now disable the trainer on game start by setting EnabledOnStartup=0, you can enable the trainer at any time by pressing RCTRL+RALT+E

Changes from version 3.2:

-Random driver can be told to drive to waypoint (bodyguard/ped menu)
-Added episodic weapons to the bodyguards, now you can supply peds/bodyguards with episodic weapons (still need to set Episodic to 1 in trainer.ini and have these in weaponsinfo.xml).
-L+Num 5 will now spawn a ped. 
-Attacking ped will now have a blip.
-Changed spawn random driver a bit, the driver will spawn only when player is in the car and the car is not full, or when a nearby car can be found.
-Seatbelts can be enabled using the defaults section of trainer.ini
-Phone sleepmode can be enabled using the defaults section of trainer.ini
-Display coordinates on screen (options menu page 1)
-L+num 6 to hide hud and radar, this can also be set in the defaults section of trainer.ini
-Ability to set specific hour and minute in the time menu
-Ability to change the day in the time menu
-Display of health and weapons pickups and location of the pigeons can now be enabled separately on options menu page 1, so you can display health/weapons pickups separate from the pigeons, or display them both.
-New submenu on the first teleport menu page, that will let you teleport to the locations of the 200 pigeons, the 30 cars that Stevie wants you to steal, Stevie's garage and the location of the 50 stunt jumps.
-New clothes sub menu, (on first model menu page, last option) which will let you change clothes of the models that support this.
-fixed flip car.
-Ability to spawn objects by their decimal model hash, the model hashes can be found at http://www.gtamodding.com/index.php?title=...ic_Model_Hashes So you just enter the decimal model hash and press enter and the relevant object will be spawned. This option is on the object spawn menu, last option.

-New Mission Help Menu with the following options:
-Teleport to first valid destination marker, not only used to skip the driving to it, but for instance also to keep up with enemies that you might have to follow, as they have blips attached.
-Teleport to first valid objection marker, I have yet to find a use for this option, but I have to assume that they are used somewhere in the game 
-Blow up cop car/chopper when you have a wanted level, works pretty much in the same way, once you are wanted, blips appear on the map, you can use this option to blow them up (or the cars and choppers that are attached to the blips).
-Kill ped attached to valid destination marker, instead of just keeping up with them, you can use this option to kill an enemy that is attached to a marker, I have been able to pass missions just by using this option.



Changes from version 3.3:

-Fixed Teleport to first valid destination marker, you can now win a race by just holding num 5 when selecting the option from the menu, you will be teleported to all markers including the finish.
-Fixed bug with kill ped attached to valid destination marker
-Stunt Jump 23 was wrong, this is now corrected.
-Sabre 2 car spawn option was incorrectly spawning the normal sabre, this is now fixed.
-Display digits for speedometer can be switched off in trainer.ini
-Fast Run (key -) now is a toggle option, when enabled fast run is on, no need to hold the key, you can also use the old function, this can be set in trainer.ini
-Special godmode, will set the health to 1200 and whenever it goes below 1000, it will be reset to 1200, this way you won't die in explosions, but still will have the ragdoll effects, you will die when falling from big heights. Replaces the normal god mode (CTRL+F1)
-Attacking ped will keep attacking you, altough he might or might not follow you, when you meet him again, he will fight.
-Spawn attacking driver + one additional attacking ped, both in the car, they will follow you in the car
-Pageup can be used to spawn the attacking driver/ped, save coords to trainer.ini has been changed to RCTRL+A
-Blips can be enabled for all peds/bodyguards that are spawned, both in the ini and in-game using the ped/bodyguard spawn menu.
-Radio on foot, also able to lock to the default station, N to skip to next song, change channels  using L+ num 8 for up and L+ num 9 for down, L+ num 7 to enable/disable, can also be set in the trainer.ini so that it starts on startup, also the num * works on mobile radio.
-Text message is displayed whenever you change radio station both in the car and using the mobile radio (unless station is locked).
-You can now spawn a specific driver in addition to the random driver.
-Superjump, enable using RCTRL+C, use with spacebar, forward and up speed can be set in trainer.ini (defaults) and on the options menu page one.
-Added hotkeys for Teleport to valid destination marker (RCTRL+D) and Kill Ped attached to valid destination marker (RCTRL+E)


Changes from version 3.4:

-fixed bodyguard menu problem
-fixed no melee when special godmode is enabled, health is now set to 500, and when it drops below 400 it's set to 500 again, melee is fully possible.
-added don't fly through windscreen, can't be dragged out of the vehicle, or dragged from bike to special god mode.
-added clean player clothes option to options menu and using RCTRL+G.
-The attacking driver/ped can now also be made unarmed, by selected unarmed, and disabling the drive by weapon.
-Ability to freeze the weather at startup, and the specific weather type in the defaults section of trainer.ini
-ability to enable real time duration and the specific time in trainer.ini
-Added teleport to random characters
-Added teleport to Miscellaneous locations
-Added teleport to Mission, Location and other blips, you can teleport to all mission start markers, markes for Carwash, Pay and Spray, Internet, Bars, restaurants, basically all blips available in the game, providing they are currently displayed on the map.
-Moved the MPH speedometer a bit higher, also have changed the text size for both speedometers, and the health display to match the size of the clock.
-Added abiliy to disable text for certain functions by setting DisplayMessages to 0, only a few functions are currently supported (fix car, clean car, speedup, instant brake).
-Changed the menu back function, to get back to last option highlighted in main menu.
-You can now spawn a specific car for the attacking driver/ped both in the bodyguards section of trainer.ini and in game. Including the DLC bikes, (if enabled).
-You can also set the color for the attacking driver car.
-the spawn ped and random ped functions have been changed, you can now give them a specific tasks, both in the bodyguards section of trainer.ini and in game.
The task that can be assigned are: Combat (the ped will combat anyone near), Die, Drive, Hands Up, Look at Player, Stand Still, Use Mobile Phone and stand still (they will talk), Use Mobile Phone and Walk and finally you can make the ped Walk.
-After you used the drive to waypoint task, you can also give the driver the task to drive randomly.
-You can set whether a dead Ped drops his/her weapon, both in trainer.ini and in game.
-New function to kill enemy peds in addition to any ped, from the mission menu, or RCTRL+H, this can also be used on the cops.
-Change the keycombination for Kill ped attached to destination marker from RCTRL+E to RCTRL+I.
-You can set the money for game spawned peds on the options menu (page 2) and for bodyguards/peds on the bodyguard/ped spawn menu.
-You can now position the last spawned object, Num 3/Num 1 for Up/Down, Num 4/Num 6 for left/right, Num 8/Num 2 for forward/backward and Num 9/Num 7 for rotation.
-Added ammo to display pickups on map.
-Added helper blips for stunt jumps, when you teleport to a stuntjump, the following blips are displayed: Red (Minimum start), Green (Maximum Start), Blue (Minimum Landing), Grey (Maximum Landing). 
each time you teleport to another stunt jump, previous blips will be deleted, and blips relevant to the teleported stuntjump will appear, to delete the last blips, choose the option in the teleport menu.
-you can now enable the driver to automatically drive to any new waypoint you set. 
-You can now change the color of the menu text and the highlighted menu text in the defaults section of trainer.ini, for more information refer to the readme.
-Special Car God Mode, you can set each individual option in a menu off the car options menu, page 2: Damage, Visual Damage, Tyre Damage, Player can fly through the windscreen, Player can be dragged out, Player can be shot whilst in vehice, 
Car fire proof, bullet proof, explosion proof, collision proof, melee proof. Last option is to enable/disable the special car god mode.
You can change any option at any time, but need to be in a car for it to register.
-Ability to freeze the time at game start.
-Ability to specify if the sit down function should only sit down on valid objects by setting SitOnlyOnObjects=0 to 1.

Changes from version 3.5:

-Added Gravity gun, enable using the menu or RCTRL+J, use with Pistol or Desert Eagle, right mouse button to target, up or down to move away or closer, left mouse button to fire.
Defaults for the gravity gun can be set for target (all, just cars or just peds) X,Y,Z force,and radius both in trainer.ini and in game.
-Ability to set the object moving speed, either using the menu or at the defaults section of trainer.ini
-Ability to spawn many more objects from the menu, all CJ objects are included (1332) and are sorted by starting letter, ie. a-b-c, d-e-f.
-New Task, stand still and freeze for the ped and random ped, the ped will not move, even if you shoot it, if you choose the all bodyguards leave option, the peds will become unfreezed.
-All Peds and bodyguards will have godmode if enabled, you can still kill them by using the kill ped attached to valid destination marker.
-Option to teleport bodyguards to the player (RCTRL+K, or using the bodyguard menu).
-Window Washing Platform teleport locations have been moved from miscellaneous to their own submenu.
-Changed Miscellaneous Locations into Liberty City Landmarks and added more locations, (total 100), Thanks to outoftimer, who provided all the locations.
-New car color section in trainer.ini will let you set colors for the keycombinations RCTRL+num 4 /RCTRL+num 9. You can set your own color combination, and apply in game by pressing the relevant keycombination. 
These colors can also be saved in game, from the car color menu.
-All shortcuts used are displayed in submenu off the options menu page 2, total three pages.
-Added ability to modify the car color upper limit (133) in trainer.ini.
-You can now change the menu text color and highlight color in game, you can choose from a total of 455 colors, the trainer will preview the selected color, once you press num 5 it is set, and also written back 
to trainer.ini, so that when you restart the game, the color you select is used.
-Ability to add a blip for spawned cars, in order to make this usefull, the auto deletion of cars is disabled when you enable this option, it might lead to performance issues, if you spawn many cars, this can be enabled
both in trainer.ini and in-game. You can however mark cars for deletion, in the same way as the bodyguards/ped leave option.
-Changed teleport to valid objective marker to teleport to Spawned Cars. You can now Teleport to the three cars you spawned first, also added a keycombination RCTRL+L.
-Blip for cars will display the model name, blip for specific peds will display both the model name and the type, random ped blips will display the type.
-Added clothes menu for the last spawned bodyguard/ped, so you can change clothes and other related things for the last spawned bodyguard/ped.
-New Menu hide key (F4), this will hide the menu, when you press F4 again to unhide the menu, you will return at the same position as when you pressed F4 to hide the menu.
-Added Neon lights under the car, you can set the colors both in trainer.ini or much more easier, in game, using the same RGB colors as the menu colors. 
To enable or change the colors, go to Car Options menu page 1. This can be used on both the current car and the saved car.
RCTL+A changed to RCTRL+O, RCTL+D changed to RCTRL+M
-Ability to save characters clothing options in the clothes menu, 5 slots to save.

Changes from version 3.6:

-Added ability to change textures, both for player and peds clothes menus, also the save and load function is supporting textures.
-Added Give and remove helmet to both clothing menus.
-RCTRL+R to load first clothes slot.
-Ability to switch off police helicopters when wanted, options menu second page.
-Add blip for current car, by saving the car (K+Num 1).
-Ability to give negative X,Y,Z values for gravity gun.
-Fixed Teleport to car, to take into consideration occupied seats.
-Roman's Sorrow Reverse, this "fixes" the garage and roman's apartment, re-enables the taxi service, and will let you save at the apartment (though you will not be able to start the game there).
-You can now also change object rotation speed, both in trainer.ini and in game.
-Possiblity to make objects dynamic, so you can run over them, so they are not locked in place.
-Possibility to safe the last spawned object to trainer.ini (5 slots), of course with 5 matching load options.
-Better Object rotation, you can now rotate over X,Y,Z and all three axes.
-Now keeping track of 500 objects instead of 200.
-Clone Object function, that will clone the object in the same place as the original object.
-Ability to change the object move and rotation speed right in the object move menu (while you are moving an object).
-Ability to delete the last 5 to 1 spawned objects, 
-RCTRL+T enable/disable dynamic objects.
-RCTRL+U Delete last spawned object
-RCTRL+X Last Object invisible/visible
-RCTRL+Y All Ojects invisible/visible
-Ability to set the distance behind player for attacking driver/ped.
-Fixed bug in car color menu (and bodyguard car color menu), causing it to crash if you had more then 134 colors.
-Added apply force to player, inlcuding ragdoll. You can set the paramters of the force, both in trainer.ini and in game.
-Add Explosion around Player, RCTRL+Z, including applying a force, that uses the same paramters as the apply force to player function, work also in the car.
-Ability to delete all blips for cars.
-Made small changes to peds, so that they stay focused on the task more.
-RCTRL+G (Clean Clothes) changed to RCTRL+V.
-Grabfunction, hold on to cars, currently very rough, needs some tweaking,
but have included it anyways, best way to do it, is spawn a car, a driver and then get out
and press g.  Or simply walk up to a car and press g. You can use the car speedup key (]}) whilst grabbing a car.

Changes from version 3.7:

-Make car dirty.
-Explode Saved Car.
-Warp into nearest car as passenger, only if car has valid driver.
-Fixed clone object so that object rotation is taken into consideration 
-Added Ped move menu, similar to the object move menu.
-Added Model Voice menu, where you can select the voice to be used for the playermodel.
-Added Bodyguard/ped Voice menu, where you can select the voice to be used for the last spawned bodyguard/ped.
-Added Model Speech menu, where you can select from a range of speeches and have the model say it.
-Added Bodyguard/ped Speech menu, same as above but now for the last bodyguard/ped that you spawned.
-Added Model Walk Style menu, where you can select the walking style for the playermodel.
-Added Bodyguard/ped Walk Style menu, same as above but now for the last spawned bodyguard/ped.
-Internet can be started from the options menu. Or using LAlt+I. Can be used everywhere.
-Added Hats, Glasses and wrist to both model and bodyguard/ped clothes menu.
-Added Animation Menu where you can select 6373 animations for the playermodel.
-Added Animation Menu for the last spawned bodyguard/ped, with 6373 animations to choose from.
-Fixed special godmode, you don't die when falling from big heights.
-Changed the key for grab from G to .> the function that used to be on that key (Freeze Nearest Car) now uses LALT+J.
-Gravity gun and grab function are both visible to other players in MP
-Under car neons are visible to other players in MP, only one color is now supported, in SP the full 455 colors are available.

Changes from version 3.8:

-Removed Niko from MP
-SkipBomb setting in trainer.ini for people who have crashes with the bomb model that is used for set bomb.
-LALT+K for warp into nearest car as passenger
-Added Unlimited Ammo, with reload.
-Enable/Disable Planes (at the Airport).
-Fixed tab so it doesn't bring up second save screen when pressed multiple times.
-Added Save and Load car, you can save up to 5 cars, and load them again, with same colors, components and position.
-you can now attach the last spawned object either to the player (14 positions) or the car you are in, or the saved car.
-changed task drive to waypoint and the normal drive task, you can now set the speed in game and in the ini,
-Changed special god mode, so that you can customise it the following way:
 Special godmode Can be switched on by default, using SpecialGodMode=1 in defaults section of trainer.ini
 three more properties can be set, CarSeatbelt=0, BikeSeatbelt=0 and Dragged=1. 
-added 5 save and load slots for bodyguard clothes, in bodyguard clothes menu.
-Gravity gun now supports objects, for now only objects you spawned are picked up, you need to set the target to objects only in-game.
-Cleanup menu that will clean up the area, cars, peds, objects or cops, does not work on objects you spawned yourself (use delete object for those), 
 also not on peds that you spawned yourself (unless you use all bodygards/ped leave function), and cars that you spawned yourself if car blips are enabled
 use mark all spawned cars for deletion, and the clear menu will work on spawned cars.
-Ability to set the object spawn distance between -25 and 25, behind/in front of the player.

Changes from version 3.9:
-fixed menu display bug, where peds were enabled, but the menu displayed disabled.
-new section in trainer.ini, car menu, where you can set the car names that will display on the menu, and on the bodyguard menu (car selection), 
this will also change the display message once you spawn a car and the name of the car blip if enabled. Maximum is 65 Characters.
-added ragdoll + apply force (using the same parameters as the apply force to player) when you ungrab a car.
-Unlimited Ammo with reload can now be enabled on game startup using the defaults section of trainer.ini, the in game message when enabling/disabling the function has been fixed.
-Under Car Neons can now be enabled via the defaults section of trainer.ini (NeonEnabled=1).
-New shortcult (LAlt+9) for under car neons.
-5 object spawn shortcuts (LALT+1 through to LALT+5) using the first 5 object spawn slots.
-New shortcut (LALT+6) for Clear Area.
-Added 5 more car save/load slots
-Ability to load saved cars near the player, to enable use last option in Car Load/save menu,
or set LoadNearPlayer=1 in defaults section of trainer.ini.
-Added all the configurable options for special car god mode to the defaults section of trainer.ini
-Changed teleport to first destination marker, so that you will be teleported away from the marker, instead of just on the marker.
-Explode car to valid destination marker, mission menu and LAlt+7
-Changed Engine on/off to not display smoke when engine is switched off.
-Smash Car window/steal car, go near a car, and press LAlt+0 (or use the menu), Niko will smash the window and enter the car.
-Ability to move attached objects for both player and car attached objects. 
-Ingame messages that are displayed when using keyshortcuts options can all be disabled now, both in trainer.ini (displaymessages=0) and ingame (options menu, page 1).
-Ability to set player relationships with other groups, via the options menu.
-Added 2500 additional objects, last option in the objects menu.
-Small change in move objects, to rotate along Z axis, now use num 9 and num 7, the full axis rotation has been re-assigned to /+num1 and /+num3.
-Destroy/Fix Car Engine, this is the old swith engine off function.

Changes from version 4.0:
-Added extra sunny2 weather.
-You can now assign tasks to the last spawned ped. (no need to spawn a new ped).
-Removed Stand still freezed as it was pretty much the same as the stand still task, added new task flee player. 
-Ability to save and load up to 5 animations (last played).
-Also you can load those 5 animations by using RAlt+1 through to RAlt+5.
-Ability to save all spawned objects to objects.ini, of course including load function.
-Added Vlad and Vinny Spaz to both models and bodyguards.
-Ability to set ragdoll key in trainer.ini. (to have it on one hotkey, set both RagDollKey1 and RagDollKey2 to the same value.
-Removed Relationship menu, I couldn't get it to work.

Changes from version 4.1:
-added ability to disable/enable all key bindings (except menu navigation keys), options menu page 1.
this can also be set using KeyBindingsDisabled in defaults section of trainer.ini
-ability to rotate attached object over all axis similar to the object move menu.
-ability to set the object spawn distance in trainer.ini
-save all objects now takes rotation into consideration.
-the Save and load objects slots also take rotation into consideration.
-ability to spawn added cars (see http://www.gtaforums.com/index.php?act=ST&f=109&t=420911&st=0#entry1059404355)
new section Addedcars, in this section there are 20 slots, you can set each slot to enable (Enable1=1, Enable2=1), 
set the model name that is used to spawn the car (ModelName1=Ferrari, ModelName2=Porsche) and 
the displayname, used on the menu which is car spawn menu page 5 (DisplayName1=Ferrari, DisplayName2=Porsche).
Because of this, the numeric values used for the key carspawns have been changed to use the model name, so if you upgrade
from previous versions and you intend to keep trainer.ini, copy that section over, as the keyname also has changed, to prevent
crashes when still using an old trainer.ini. Please note that the added cars are disabled in MP, this applies to the 20 menu options
and any non standard car that you have assigned to the 12 key spawns.Also if the random key spawn loads an added car in MP, it won't be spawned.
-LAlt+6 assign task to last spawned ped.

Changes from version 4.2:
-Added ability to set move and rotation speed for attached objects in the move screen.
-Added ability to clone an object right in the object move screen by pressing RCTRL+A.
-Fixed cloned objects rotation when using the save all objects function.
-Dynamic objects setting is now considered when using the save all objects function.
-Fixed the 5 save objects slots to also consider dynamic status, and fixed slots 2-5, which were not taking rotation into consideration.

Changes from version 4.3:
-remove all weapons option, in the weapons menu
-silence car alarm when stealing.
-sometimes, when chatting in MP, the last key you used in that chatwindow, would register into the game, 
leading the trainer to perform an action that was assigned to the same key. (for instance ? - explode car) 
This has been fixed now, so you can use ? without having to worry that some car will explode. 
-Also if you disable keys or the trainer, keys will not register anymore (this was added in 4.2).
-Added ability to use added cars both for the load/save car slots, and as model for attacking driver/ped, Not in MP.
-Marbella renamed to Marbelle.
-Added nj05_oiltnkbig to object spawn menu.

Changes from version 4.4:
-Fixed object movement and airbreak keys not working when keybinds are disabled using the disable keybinds function.

Changes from version 4.5:
-Support for patch 5, allthough previous trainers should also work.
-Save car changed so that the saved car is never going to be deleted by the game (the K+num1 feature)
-Changed the vibe 98.9 to the vibe 98.8
-Fixed old bug, where if you used destroy engine on the saved car, the game would crash.
-Relations ship menu is back, you can set the relationship group for the player, if for instance you set it to cops,
you still get a wanted level, but cops won't attack you, in fact they will help you if someone attacks you.

Changes from version 4.6:
-Set camera behind player option for airbreak, you can set it both in the ini and in game, using the airbreak speed/camera submenu.
-added random attacking ped in bodyguard menu.
-New weapon for peds/bodyguard, rocket.
-added random weapon, when you set this in the bodyguard menu, by choosing random as weapon, any bodyguards or peds will spawn with a random weapon,
you can set the range from which the weapon is selected by setting RandomMin and RandomMax in bodyguards section of trainer.ini 
1 is the lowest, 18 the highest, numbers correspond with the weapons list in the ini. For best effect, disable the driveby weapon. Also to make
random weapons selection default, set Weapon=19 in bodyguards section of trainer.ini.
-Mute player, this will set a dummy voice for the player, so that he is mostly silent
-4 speech slots, you can save a speech to a slot (via the speech menu), where you can load it as well, also 4 key combinations are avaible, (RALT+7 through to RALT+0).
-added 10 more save car slots.
-the save car slots now also take livery into consideration.
-Ability to freeze and unfreeze both the car niko is currently in, and the saved car.
-When you move an object the second time, the rotation information is saved. So it doesn't go back to default rotation,
this also applies to the move attached object menus (car and player).
-added car tyre menu, you can burst or fix all the car's tyres, or any individual tyre.

Changes from version 4.7:
-Various small bug fixes, nothing major.
-fixed the delete last spawned objects (1 to 5) in the menu. This now works correctly.
-added 30 additional objects which are customisable using the ini, they are located on the more objects page (last option on the objects menu).
-Option to find objects in game, Get Damaged object id, you must first inflict damage on the object from which you want the model hash, then choose this option
and hopefully it will find the object id (it will be displayed in game for 10 seconds and printed to scripthook.log). Also the object name
is retrieved and displayed in game and printed in the log file. Also for convenience it is displayed in the spawn object by entering model hash screen.
-Changed the spawn object by entering model hash to do a lookup if the hash is correct 
(big thanks to Tim Riches for providing the excellent spreadsheet with the object hashes).
This way, if you enter an non existing hash, the game will not crash anymore, and you can correct the hash. 
Also added ability to enter shorter hashes, based upon Tim's spreadsheet, the shortest is 5 digits. 
The same applies to longer object hashes, you could already spawn 10 digits hashes, now you can spawn upto 12 digits hashes.
-Changed attached object rotation move speed, this allows for slower movement.
-Adjusted height for two popular objects: cj_boat_ramp and nj05_oiltnkbig, they should now have the correct height.
-Added Attachted objects load/save menu, you can save attached objects for both car (and saved car) and player, into 5 slots for car 
and 5 slots for player, of course with correpsonding load slots.
-Re-organised the object menu to reduce some scrolling.
-Fixed a problem with delete object that had influence on the save all objects function.
-Ability to set sync time to system time in defaults section of trainer.ini so that time is synced on game start.
-changed saved car, in MP the game assigned a new ID if you were far away from it, I prevented that.
-ability to change neon colors in MP, 5 colors are supported instead of just one.
-Keycombination for Random Attacking Ped: LAlt+8.
-Added police speeches, if you use a police model, or have set a police voice for any model, a different set of speeches will appear.

Changes from version 4.8:
-Changed the speeches system dramatically. All speeches that are in speeches.rpf are also in the trainer. This means that once you enter the speech menu 
with a model all the speeches that are available for that particular model will appear in the speeches menu, all speeches that are displayed will also work. 
I have added a counter to this menu, so you can see immediately how many speeches are available for the model (or voice if you set the voice for the model).
The same applies to any voice that you set for the player character. A total of 803 voices and 23075 speeches are in. Of course many speeches have 
multiple recorded speeches, so the number of 23075 is in fact much higher. Some models will even have different set of speeches, 
depending on the head id that is selected (using the clothes menu). For instance the fatcop, has one set of speeches if the model is black, 
another one if the model is white. To get it one step further, some models even have a different set of speeches depending on both the head id, 
and the head texture (also configurable using the clothes menu), for instance for the black cop, there are two speech sets,
for the white cop, there are also two (depending if the cop is a white or an hispanic). Whatever head id or texture the model currently has, determines 
the speech list that is shown. The above changes also apply to the bodyguard speech and voice menu functions.
Furthermore, there are a few models (around 45) that have no recorded voices whatsoever (like Faustin or French Tom for instance), 
in this case I have mapped to a different voice, if this is the case, it will be indicated in the speech menu with the name of the voice to which it is mapped.
-Added 6 more speeches load and save slots. Also now if you load a speech, it will be played with the voice that was used to save the speech.
-Changed keybindings for the load speech slots from Ralt+num 7/Ralt+num 0 to Rshift+1 for slot 1 through to Rshift+0 for slot 10.
-Due to a game bug, the clothes menu will prevent changing hats, glasses or helmets for Niko only, if you already changed to another model 
during the game session. Also since helmets are also used when you get on a bike, I prevent this as well.
-Setting to skip animation when setting bomb, this will also skip the bomb object. Skipbombanim in defaults section of trainer.ini
-4 more "all save object slots", on more objects menu, these will be saved to objects2.ini through to objects5.ini.
-5 more save/load slots for both player and car attached objects.
-Limited usage of the Tuga to one per MP session, this applies to all ways possible to spawn cars (using menu, shortcuts, load car 
and bodyguard attacking driver).
-When you change to another player model and you're in a car, you will now warped back to the same seat as you were when you executed the change model function.
-Never Tired setting in trainer.ini did not enable the never tired in game, this is now fixed.

Changes from version 4.9:
-New shotcut to say a random speech for current playermodel, it will either use the model, or if a voice has been set, the voice that was set to play the speech.
-New setting for special car god mode, total car god mode, this will override any of the special car god mode settings and will
make the car invulnerable for anything (including scratches) setting can be changed in both the ini and ingame. This will also make some of the trainer's functions useless (like switch off engine or remove car window).
-Key to save car to slot 1 (RALT+8) and to load the car from Slot 1 (RALT+9).
-Speeches that are loaded using the shortcuts now work in MP.
-Roman's sorrow reverse can be enabled using defaults section in trainer ini (RomanSorrow).
-Reduced delay in clone object to 0.5 seconds.
-Limited access to save game function, this will only execute when the player is using 
the model for Niko, of course the regular save game function will still let you save with someone other then Niko!.
-Save settings to trainer.ini (options, 2nd menu page), this will let you save settings which you changed ingame to trainer.ini's default section, 
also any bodyguard settings you've changed will be saved to trainer.ini's bodyguard section. All settings that can be set in game (and make sense to be reloaded) are supported, only a few options will still need to be set via trainer.ini (like DLC and Episodic).
-Added some settings to defaults section of trainer.ini (which will also be saved using the save settings): Disable/Enable Peds,
Disable/Enable Cars, Enable/Disable Coordinates on Screen, Car Color for attacking driver/ped, Money for bodyguards/peds, DoNotWarp setting, which can also be changed in game (carspawn menu).
-Added Freeze and unfreeze player to options menu page 1.
-Added subway simulator, new subway spawn menu, (car spawning menu 1), where you can select one of the 4 lines, and then select a station,
you will then be teleported into the subway at the selected station, where you can start riding it. By default the train will stop at each station, 
to leave a station and begin riding, press L, to speed up press Numpad +, speed down is Numpad -, To open/close right subway doors, press the right arrow, 
for left doors, use the left arrow key. To disable stopping at stations, press the Q key, to switch to cockpit view press X. To rotate the cockpit view, use R.
To stop the subway press B, Use F to exit the subway. During subway usage, other functions of the trainer are disabled. 
Some things to note: if stop at stations is enabled (which it is by default), the subway runs in a semi automatic mode, you need to use L to leave a station, 
this will also automatically close the platform side doors (and will prevent them being closed whilst at the station), also this will make the subway stop automatically at each station. (and opening the platform side doors)
If stop at stations is disabled this automatic behavior doesn't occur. Disabling it at a station has no effect at first, as you still need to use L to leave the station, but after you've left the station, 
the game will not stop at the next station, nor will you have any use for L (until you enable stop at stations again). When using the enter key to skip to next station you will be put somewhere along the tracks, 
if the doors not open (whilst stop at station is enabled) this means the train has not reached it's exact starting position, if that happens, just press L and the train will go to the exact start position, press L again 
to leave the station again this is only applicable when stop at stations is enabled.
Another thing to note is that F (to leave the train) is the actual key mapped to exit vehicle, so if you remapped that action to antother key, you need to use that key to exit the subway.
When using enter (to skip to next station), the total distance display will not be accurate anymore, the game somehow doesn't record the statistics correctly if that happens.
-New key to enter a subway spawned by other players in MP: RALT+7 enter subway. (also on carspawn menu).
-MaxTrainSpeed setting in defaults.ini, to set the maximum train speed, default =120Km/H, setting it higher will be unrealistic.Also this value is depending on the trainmetric setting, so if you use Miles, set the 120 to the relevant miles value.
-TrainMetric setting in defaults.ini, to set whether or not the metric system is used for the subway simulator.
-Added Hydraulics, (thanks to atomic1 who provided the code), use Num 8 for hydraulics to the front of the car, Num 2 for the back, Num 4 for left, Num 6 for right and Num  5 for center. These keys are the same keys that are used for the menu system, 
if you re-assigned these keys to any other keys, those re-assigned keys would be used, also since they share  the keys with the menu system, whenever the menu is displayed, hydraulics will not work.
-Ability to set the health of the car you are in (or the saved car).
-Added vehicle model hashes to the big object model list, so that they can be spawned as objects also using the in-game spawn by model hash function.
-Atomic1 provided 39 objects of which the height will be corrected if you save and clone the object (there were two objects where the trainer corrects this already, oiltank and cjboatramp).
-Fixed the clone object function (the one using the menu, not the move screen), it was wrong.

Changes from version 5.0:
-Added additional camera's for the subway and changed the access keys for them, now you can use: Num 0 (game camera), Num 1 (Cockpit), Num 2 (Interior 1)
Num 3 (Interior 2), Num 4 (Side 1), Num 5 (Side 2), Num 6 (Roof), Num 7 (Front) and Num 8 (Rear). The roof camera can be moved using W and S (forward/back) and A and D for Left/Right. Rotation now uses R for 
counter clock wise and X for clock wise and is supported on all cameras.
-Keys that are used for subway simulator can be set in trainer.ini.
-added shortcut for Move Last Spawned Object (M+0) and Clone Last Spawned Object (M+1).
-sync time to system time, will also sync the day to the current system day.
-blue neons in MP are changed thanks to Mastermember for submitting these.
-fixed bug in clone object that would lead to game crash if you deleted the object and then choose clone.
-fixed another bug (introduced in 5.0) where the clone object via the menu would incorrectly set the rotation for one object.
-Added adjustable hydraulics force in trainer.ini, HydraulicForce.
-Added function lower car, which will apply a constant force to the car in able to lower it, you can adjust the force in trainer.ini: LowerCarForce
-Added No Ragdoll whilst falling, this will prevent Niko from ragdolling when falling, to make a roll jump, press J just before you hit the ground. Enable using options menu page 1.

Changes from version 5.1:
-No Ragdoll Whilst Falling in trainer.ini. Also saved when using save settings to trainer.ini.
-Jump key for No Ragdoll Whilst Falling (J) can be set in trainer.ini.
-Animation that is used when using the jump key for No Ragdoll Whilst Falling can be set in trainer.ini (Aname and ASet).
-Radius for Clear Area in trainer.ini, Also saved when using save settings to trainer.ini.
-When using Clear Area via shortcut, the weapon is not switched (by trainer).
-Changed the object save system, rotation should now always be saved corrected, as it gets the rotation at save time,
this does mean that for older objects.ini (made with previous trainer versions) you need to add the following to objects.ini (or objects2,3,4 or 5)
[Legacy]
Legacy=1
By adding these two lines to objects.ini, (at the top of the file NOT per object !), it will still be loaded correctly. Once it's loaded in game, you can simply 
save them again, and this way the old objects.ini is compatible with the new version of the trainer, and there is no need to add these two lines. Again ONLY for objects.ini
made with trainers before 5.2 !.
-Because of the above, the objects spawned will now have Niko's heading.
-Added 5 more save all objects slots on more objects menu.
-Ability to edit a specific object, in object menu, you can select the object id (id's run from 0 (first) to 499 (last)), you can delete, 
clone, move or make the selected object invisible/visible. The current selected objectid will be marked on screen.
-Clone object will now work if you deleted an object, it will then clone the previous object.
-The same applies to move object.
-Some objects still are spawned to high if you clone, save/load them, this cannot be fixed other then correcting the height for those specific objects on clone or save time,
The trainer already corrects around 40 objects for you, now you can add objects that you want corrected yourself:
Objectcorrections section in trainer.ini, allows you to add 20 object corrections, one example is already provided in trainer.ini.
-Added preview for objects that you can choose using lists, (not the 60 predefinied slots)  hold X to preview the object.
-Added Slower object movement and rotation.
-Shortcuts for Freeze and unfreeze Car (M+2 and M+3) and for Freeze and unfreeze Player (M+4 and M+5).
-Ability to set the force used for lower car in-game, will also be saved when using save settings.
-The List of shortcuts in game will now list the actual shortcuts that are loaded from Trainer.ini.
-Vehicle components are mapped, this means that the number of components that are available on the vehicle components 
menu is related to the used model. By default this is enabled. If you use custom (replaced) cars, you can disable this
by setting VehicleComponents=0 in trainer.ini. For added cars this is in any case no problem.
-Added Player Alpha (options menu) and Car Alpha (car options menu), car Alpha works on current and or saved car.
-Added Display Info (option menu), this will display Playermodel, Carmodel en area name at the bottom of the screen. You can set this in trainer.ini or save settings to load on game start.
-Added 20 additional added car slots.
-Key for Explode Saved Car M+6.
-Added backward speed for car (R).
-Added Ability to disable (and enable) both car and player collision.
-Added weaponsounds for episodic weapons, if you add weapons (instead of replacing), the weapons don't have sound, you can however set sounds in trainer.ini, section sounds. 
to use this, you need to set enabled to 1 in the sounds section.
-Ability to change fonts used by the menu, set this ingame (menucolor/font). You can choose between 7 different fonts, but some might mess up spacing a bit.
-Added cruise control, enable using M+7, speed up and speed down are game assigned vehicle controls, if you hit stuff the cruise control is disabled. Also if you use any
other trainer function related to speed (like speedup, backward speed, instant stop), cruise control will be disabled.

Changes from version 5.2:
-Added missing car component.
-Added car/bike in air check for cruise control.
-Changed display info, as it was displaying no vehicle when you re-entered a vehicle.
-Changed subway simulator to have three carriages instead of two, added interior camera 3.
-Shortcut for Add force to player (M+8).
-Lock camera (when in vehicle), via car menu or M+9. (can also be set to start automatically in trainer.ini or using save settings).
-New Mission Select menu in the mission help menu, where you can start all available story line missions, also all cutscenes can be viewed (without having to start a mission). 
it also includes the friends missions. MP usage is disabled.(You need to be Niko to prevent a crash, but Niko in MP is bad news). Thanks to LMS for helping me on this.
-Added a mission check, if you are on a mission (both game and mission select mission), you cannot change the model. 
-ability to set gravity for player only (options menu first page).
-Suicide option (options menu first page).
-Create current weapon pickup, in weapons menu, this option will create a pickup off the current weapon, this can then be picked up by other players.
-Car Health Display added.
-Ability to delete the saved car.
-Ability to set selected object dynamic or static.
-Fixed issue with clone specific object.
-Disable Alarm when stealing in trainer.ini and saved when using save settings.

changes from version 5.3:
-added yet some more car components that were missing
-fixed player gravity not working properly at all times
-added missing Ransom mission (Gerald).
-saving the game use the save game function will now update the saves made game statistic.
-Added support for EFLC, there will be three trainers (Trainer.asi=GTAIV, trainertlad.asi=TLAD, trainertbogt=TBOGT) with thee
separate ini files (trainer.ini=IV, trainertlad=tlad, trainertbogt=tbogt) allows to have game specific's in the menu's plus game 
specific saved cars, shortcuts for cars and other relevant stuff. 

changes from version 5.4:
-fixed problems with vehicle menu 5 in IV,TBOGT and TLAD MP.Added cars now have a separate menu off the 5th vehicle menu.
-fixed inability to spawn some of the new DLC vehicles in MP using shortcuts.
-fixed special 2 for Luis by disabling this option for this model only.
-fixed crash on TBOGT MP when exiting the subway.
-New shortcut for TBOGT only: M+Num 3=parachute. 

changes from version 5.5:
-added missing Diabolus for TLAD, removed Hellfury on the last page, as the model was already inside IV and on the 4th menu page.
-faggio2 in TBOGT was spawning the IV faggio, fixed.
-Vehicle components are mapped for the new EFLC vehicles.
-fixed the first version bug of swapping the M40A1 and PSG1.
-removed the IV like and respect and replaced with DLC specific Like/respect stats.
-mapped hats and glases for all DLC models.
-added TBOGT and TLAD new animations.
-added teleport options specific to EFLC, seagulls, random characters, deleted stevie's carthefts, stunts jump remain (they do work in the EFLC).
Also changed the savehouses from IV in teleporting menu to relevant EFLC content. Finally the mission and location blips have been updated for EFLC.
-added the armor pickups for TLAD and TBOGT.
-Radio message when changing station, won't appear if display messages has been disabled. 
-Mapped all voices and speeches for the new EFLC models. 
-Various other fixes.

Changes from version 5.6:
-disabled usage of phone sleep mode in MP, not only doesn't it do anything, but it leads to a crash on TBOGT MP only, 
the same applies to internet, running this script in TBOGT MP leads to a crash, so in MP TBOGT it is disabled.
-prevented usage of save game (using tab) when on a mission. (tab is used to display gang status).
-added roman's sorrow reverse back to EFLC (textures only).
-added some missed car components.
-added three additional car colors for TBOGT.
-added CS (cutscene) models to all three trainers, you can also use CS models as bodyguards, be aware that they are not normal models, 
and the fact that they look weird, cannot be fixed. 
-added scrolltimeMP in all three ini files, if menu scrolling in MP is much faster then in SP you can set this value higher.
-Weapon pickup can only be used in MP, disabled usage of this in SP.
-added ability to disable trainer mapped hats, glases and wrist items, by setting Modelhats=0 in the ini files.
-changed kill enemy ped function in tlad to work for gang wars.
-ability to pick up cars using the magnet on the skylift, M+num8
-ability to loop an animation for both player model and bodyguards/peds.
-New teleport option on pigeon (or seagull) teleport menu, which teleports you to 125 (IV) or more (EFLC) interiors, including cutscene interiors. 
if you teleported to the cutscene interiors (the first 20 something teleports in the list, the game is kind of paused, you cannot use the escape key, 
if you get outside this is automatically disabled again.
-change the teleport to destination marker to not go a bit off the marker (request to not crush friends in IV), this way it works a little better when doing basejumps.
-added the big yacht and the small plane on the more objects page (TBOGT).
-ability to disable the save function to update save statistics by settting SaveStatistics=0.

**changes to ini files: 
Default section, added SaveStatistics=1	SaveStatistics=1	//Update statistics for save game (all three).
Default section, added ScrollTimeMP=75		//Scroll time for menu for Multiplayer in milliseconds (all three).
Default section, added Modelhats=1		//Trainer mapped hats, glases (all three).
Default section, added RomanSorrow=0		//Roman Sorrow Reverse  to TBOGT and TLAD.
Default section, changed CarUpperLimit=136	//Upper Limit for Car Colors for TBOGT only.
//LIST OF MODELS// added Cutscene models, all three ini's, specific models for each game.
changed [ObjectSpawnOption59] and [ObjectSpawnOption60] for TBOGT only.

Changes from version 5.7:
-Reshuffled some of the options on the first options menu page to the second.
-added additional episodic weapons slots, Episodic 25 - Episodic 36, including additional sound slots.
-added new objects for both tlad and tbogt on the more objects pages, 714 for TLAD, 1443 for TBOGT.
-added the following cutscene interiors to interiors teleporting: francis office in IV and TLAD, Elizabeta's Kitchen in EFLC and Stubb's spa room in EFLC.
-fixed wrong bodyguard weapons list in tlad and tbogt ini files.
-added ablility to have bodyguards follow you by car, (all three games) enable follow as driver in game, or set FollowDriver=1 in trainer.ini.
Bodyguards (not other peds) will follow you in a car if the car you are currently in has no more available seats. You can adjust the speed with which they follow you, it is using the same speed as for the driver in bodyguard menu.
-teleport bodyguards to player has been changed to have a bit more space behind the player.
-Nitro for TBOGT. Can be enabled in game, or by setting CarNitro=1 in trainer.ini. Once in the car you can enable the nitro (providing you have enough speed) 
by holding the capslock button. You can use it as long as you want, even though there is a upper speed limit. Boats and Helicopers are not enabled for nitro. For the rest all cars will work, but of course only a few have been specifically updated for visual effects. 
Cars that have been updated: Banshee, Bullet GT, Cognoscenti, Comet, Coquette, Df8, Dukes, F620, Feltzer, Huntley, Infernus, Police Stinger, Sabre GT, Sultan RS, Super Diamond, Super Drop Diamond, SuperGT and Turismo. 
The following bikes have also been updated: Akuma, Bati Custom, Double T, Hakuchou NRG900, PCJ, Sanchez and Vader. (depending on components).
All the others cars and bikes will use the visual effects at a general location.
Please note that the trainer's nitro system will not work during races (since then the game functionality is used).
-Smoke for Parachute, you can now get the smoke in SP (and MP) by pressing F7 whilst in air with a parachute, for now 
there is only one color, as the native that is used to set the color isn't in the scripthook. 
You can set the pedbone used for the smoke in the options menu first page, or set parabone in trainertbogt.ini, bone is saved when you use save all settings. 

**changes to ini files:
Defaults section, added CarNitro=0	//Enable Car Nitro (TBOGT)
Defaults section, added ParaBone=15		//Pedpone for Parachute Smoke (for TBOGT change the pedbone ingame, and use save all settings)
Bodyguards section, added FollowDriver=0		//Follow as Driver (all three games)
Bodyguards section //list of Weapons// (corrected the list for both TLAD and TBOGT)

Changes from Version 5.8:
-Ability to set parachute smoke color, using the same 455 colors that are used for neon and the menu. Color and pedbone are now saved from the menu directly.
-Fixed issue with Nitro were car wasn't driveable by other players in MP with Nitro enabled.
-Updated Nitro to support bikes and cars with different exhaust components.(big thanks to Rschuindt, who did most of the vehicles).
-Nitro has been updated to support all vanilla vehicles + bikes.
-Maximum speed to which nitro is enabled in defaults section of trainertbogt.ini: NitroMaxSpeed=250, default is set to 250 Km/H.
-bodyguard drive speed can now be set to 216 Km/H maximum.
-This version is using a new scripthook.dll (dated 16-05-2010) you need to make sure you are using this scripthook.dll, otherwise trainer will not work.
This might be a problem for people running IV on patches older then patch 6, if this is the case, you can continue using version 5.8.

**changes to ini files:
Defaults section added SmokeColor1,SmokeColor2,SmokeColor3 and Smoke to trainerTBOGT.ini
Defaults section added NitroMaxSpeed=250	//Max speed for Nitro in KM/H to trainerTBOGT.ini


